Subject: Re: bug#60996: 29.0.60; Native compile fails to remove temp file for trampoline
From: Eli Zaretskii <[email-masked]>
To: Andy Moreton <[email-masked]>
Cc: [email-masked]
Date: Thu, 26 Jan 2023 08:51:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Andy Moreton <[email-masked]>
> Date: Wed, 25 Jan 2023 23:49:04 +0000
> 
> On Wed 25 Jan 2023, Eli Zaretskii wrote:
> 
> > Before we close this, I suggest that you try reproducing again, after
> > removing the *.eln files from your eln-cache.  Basically, as more and
> > more *.eln files are produced and deposited there, the lower the
> > probability of seeing any problems with native compilation, since
> > Emacs stops compiling stuff because it already has what it needs.
> 
> I tried various combinations of cleaning the .eln cache, bootstrap from
> a clean tree etc, and leaving or removing trampoline .eln files from
> %TEMP% and did not get a reproducibe effect.
> >
> > (But if you already tried that and still failed, then OK, let's close
> > this issue.)
> 
> I also tried running with anti-virus disabled (in case that affected
> filesystem activity or timing) without any change.
> 
> Please close this, and we can start again if the problem reappears.

OK, done.  Thanks for your efforts in trying to decipher this.